#/usr/bin/bash

# mn_clean.sh executes mininet clean-up (sudo mn -c) on each
# node. Clean-up is needed when test was not executed successfully
# and the node is not returned to starting state.

if [ "$1" == "" ]; then
    echo "Please provide nodes input file. Exiting."
    exit 1
fi

while IFS='' read -r line || [[ -n "$line" ]]; do
    echo $line
    ssh -n $line 'sudo mn -c'
done < "$1"

