import importlib
import socket, pickle
from request import SGRequest
#import jsonpickle
from struct import *

def main():
  print "Started."
 
  HOST = 'localhost'
  PORT = 10000
  # Create a socket connection.
  s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
  s.connect((HOST, PORT))
  
  # Create an instance of ProcessData() to send to server.
  request = SGRequest(type_id = 1, priority = 1, bandwidth = 5, links = [1, 2, 3])
  request.type_id = 1
  request.bandwidth = 5
  request.links = [1, 2, 3]
  # Pickle the object and send it to the server

  val = pack('!i', request.type_id)
  s.send(val)

  val = pack('!i', request.priority)
  s.send(val)

  val = pack('!f', request.bandwidth)
  s.send(val)

  val = pack('!i', len(request.links))
  s.send(val)

  for x in request.links:
    val = pack('!i', x)
    s.send(val)

  s.close()
  print 'Data Sent to Server'    
    
if __name__ == '__main__':
  main()
