#ifndef COMMON_SG_HEADER
#define COMMON_SG_HEADER

#include <stdio.h> //printf
#include <string.h>    //strlen
#include <sys/socket.h>    //socket
#include <sys/time.h>
#include <arpa/inet.h> //inet_addr
#include <stdlib.h>
#include <unistd.h>
#include <time.h>
#include <pthread.h>
#include <errno.h>
#include <sys/socket.h>
#include <netinet/tcp.h>

#define debug(...)   printf(__VA_ARGS__); fflush(stdout);
#define debug_n(...) printf(__VA_ARGS__); printf("\n"); fflush(stdout);

#define IP_ADDRESS_SIZE 16
#define TCP_STATS_PERIOD 1*1000*1000

double CalculateElapsedTime(struct timespec start, struct timespec end);

int persistent_bind(int socket, int port);

int persistent_connect(char* remote_ip_address, int remote_port);

int SendMessage(int socket, char* message, int message_size);

int ReceiveMessage(int sock, char *message_buffer, int message_buffer_size);

void start_tcp_stats_collecting(int socket);

#endif
